> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Users Agent



## OpenAPI

````yaml openapi-v2 PUT /users/agents/{id}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /users/agents/{id}:
    put:
      tags:
        - Users
      summary: Update users agent
      operationId: updateUsersAgent
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                email:
                  type: string
                password:
                  type: string
                userPermissions:
                  type: array
                  items:
                    type: object
                    properties:
                      instanceId:
                        type: string
                      permissionLevel:
                        type: string
                      instance:
                        type: object
                        properties:
                          name:
                            type: string
              example:
                name: Joao Pedro
                email: joao@example.com
                phoneNumber: '111987654321'
                password: securepassword
                userPermissions:
                  - instanceId: 54645da3-f691-405f-9131-454095230de2
                    permissionLevel: WEBCHAT | FULL
                    instance:
                      name: name of the instance
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````